Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO] Conflitto e2fsprogs
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
geps2
Apprentice
Apprentice


Joined: 12 Jul 2006
Posts: 267

PostPosted: Wed Oct 29, 2008 5:14 pm    Post subject: [RISOLTO] Conflitto e2fsprogs Reply with quote

Ho questa situazione:
Code:

[ebuild  N    ] sys-libs/e2fsprogs-libs-1.41.2  USE="nls"
[ebuild   R   ] dev-libs/apr-1.3.2
[ebuild   R   ] dev-libs/xplc-0.3.13-r1
[ebuild   R   ] sys-fs/cryptsetup-1.0.5-r1
[ebuild  N    ] sys-fs/e2fsprogs-1.41.2  USE="nls"
[ebuild   R   ] dev-libs/apr-util-1.3.2
[ebuild     U ] app-crypt/mit-krb5-1.6.3-r4 [1.6.3-r1]
[ebuild   R   ] app-misc/mc-4.6.1-r4
[ebuild   R   ] dev-util/subversion-1.5.2
[ebuild   R   ] sys-apps/util-linux-2.13.1.1
[blocks B     ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.3)
[blocks B     ] sys-libs/e2fsprogs-libs (is blocking sys-libs/com_err-1.40.11)

Ho provato a unmergere com_err, ma questa è necessaria per emergere gli altri pacchetti!
Qualche suggerimento?


Last edited by geps2 on Sun Nov 02, 2008 9:26 am; edited 2 times in total
Back to top
View user's profile Send private message
lucapost
Veteran
Veteran


Joined: 24 Nov 2005
Posts: 1415
Location: <ud|me|ts> - Italy

PostPosted: Wed Oct 29, 2008 5:32 pm    Post subject: Reply with quote

L'ho trovato anche io questo, si risolve con:
Code:
emerge -C com_err e2fsprogs
emerge -uND world


alla fine com_err non è un pacchetto di sistema, quindi anche le lo rimuovi temporaneamente non cambia nulla...
_________________
LP
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed Oct 29, 2008 5:46 pm    Post subject: Reply with quote

Il suggerimento è altamente sconsigliabile. Se leggi qui capirai che stavolta i nostri beneamati devel l'hanno fatta proprio grossa (mi ero da poco lanciato in loro difesa in un thread lamentando lo scarso numero di bestemmie e sono stato subito accontentato).
Il problema è che e2fslibs sostituisce com_err ed ss ma le dipendenze di molti ebuild non sono state aggiornate (ed in qualche caso la dipendenza alternativa non è stata neanche lontamente verificata).

L'unica cosa che puoi fare ora è un emerge -t per vedere cosa richiede l'ultima versione di e2fsprogs o direttamente e2fslibs e mascherare.

L'unica soluzione alternativa seria è questa. Ma personalmente ho preferito attendere (solo mc e nfs-utils rompono e possono benissimo attendere il prossimo upgrade)

[OT]
Quote:
[HELP] Dipendenza circolare!
peccato solo... che questo non sia un helpdesk... :evil:

Quote:
dipendenze: e2fsprogs-libs blocca com_err ed ss
ad esempio. Sono stato sinceramente tentato di non rispondere.
[/OT]
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:


Last edited by djinnZ on Wed Oct 29, 2008 7:32 pm; edited 2 times in total
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Wed Oct 29, 2008 6:13 pm    Post subject: Reply with quote

ho il terrore che questo thread finirà in sticky (e spero che quello con expat glib etc venga destickato... o no?)
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2410
Location: イタリアのロディで

PostPosted: Wed Oct 29, 2008 6:26 pm    Post subject: Reply with quote

il problema nasceva da mit-krb5.
Ora hanno messo a posto (credo, perchè ieri ho dovuto aggiornare questo pacchetto) con una nuova versione stabile.
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Wed Oct 29, 2008 7:18 pm    Post subject: Reply with quote

sul forum italiano, se ne era parlato qui.
forse è opportuno un merge, sopratutto se il problema dovesse creare disturbo nel tempo.

confermo che la soluzione indicata da djiinz è rapida ed efficace.
a me ha reso stabile il sistema da più di un mese.
non ci farei troppe imprecazioni.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed Oct 29, 2008 7:25 pm    Post subject: Reply with quote

Quote:
Inviato: 20.59 Mercoledì 17 Settembre 2008
ci stanno tutte le bestemmie... :twisted: anche quelle in sanscrito.

Il problema è un tantino differente adesso perchè all'epoca e2fslibs era opzionale e non necessario a pacchetti di uso comune come nfs o e2fsutils. Il problema è che qualche genio ha chiuso il bug visto che il problema su mit-krb5 era risolto e non erano state aggiornate le dipendenze alternative.

Resto dell'idea che per il momento è meglio attendere che rimettano a posto le dipendenze tanto non è che gli aggiornamenti siano legati a vulnerabilità o problemi gravi.

Non capisco perchè i devel non abbiano semplicemente mascherato di nuovo i pacchetti che creano il problema.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
SbiellONE
n00b
n00b


Joined: 23 Oct 2007
Posts: 3
Location: In giro per l'Emilia-Romagna

PostPosted: Wed Oct 29, 2008 8:15 pm    Post subject: Reply with quote

anche io ho avuto questo problema ed ho deciso di adottare la soluzione proposta ed ha funzionato
cosa dovrò fare una volta che gli sviluppatori avranno risolto il problema?
_________________
Il metallo ci salverà
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Wed Oct 29, 2008 8:22 pm    Post subject: Reply with quote

SbiellONE wrote:
anche io ho avuto questo problema ed ho deciso di adottare la soluzione proposta ed ha funzionato
cosa dovrò fare una volta che gli sviluppatori avranno risolto il problema?

anche nulla.

potrebbe essere utile rimuovere i contenuti aggiunti in /etc/portage per evitare di mantenere pacchetti superflui in ~ e per non appesantire inutilmente il lavoro di emerge.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2410
Location: イタリアのロディで

PostPosted: Wed Oct 29, 2008 9:26 pm    Post subject: Reply with quote

SbiellONE wrote:
anche io ho avuto questo problema ed ho deciso di adottare la soluzione proposta ed ha funzionato
cosa dovrò fare una volta che gli sviluppatori avranno risolto il problema?


Risolto.
_________________
Il numero di post non fa di me un esperto! Anzi!


Last edited by bandreabis on Wed Oct 29, 2008 10:10 pm; edited 1 time in total
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed Oct 29, 2008 10:02 pm    Post subject: Reply with quote

:?: 8O :?:
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2410
Location: イタリアのロディで

PostPosted: Wed Oct 29, 2008 10:11 pm    Post subject: Reply with quote

djinnZ wrote:
:?: 8O :?:
Forse ora si capisce il senso... :D

SbiellONE wrote:
anche io ho avuto questo problema ed ho deciso di adottare la soluzione proposta ed ha funzionato
cosa dovrò fare una volta che gli sviluppatori avranno risolto il problema?


Risolto.
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
geps2
Apprentice
Apprentice


Joined: 12 Jul 2006
Posts: 267

PostPosted: Thu Oct 30, 2008 9:00 pm    Post subject: Reply with quote

Ok, ho capito, ma adesso ho un problema più grosso: al boot non mi monta più root!
Perché ho cercato di togliere un po' di roba prima di scrivere il post, e mi sa che togliendo qua e togliendo là ho tolto qualcosa di fondamentale: adesso al boot ho questo:

Code:
* Mounting proc at /proc ... [oops]

The "mount" command failed with error:

error while loading libblkid.so.1: cannot open shared object file: No such file or directory

* Since this is a critical task, startup cannot continue.

Give root password for maintenance
(or type Control-D to continue):


Che faccio adesso? Posso recuperare oppure mi tocca reinstallare (non vorrei farlo!)?
Mi viene in mente di andare a copiare un file libblkid.so.1 sotto /usr/lib o qualche altro path: potrebbe funzionare? Dove lo prendo eventualmente il file?
Vi prego aiutatemi!!!
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Thu Oct 30, 2008 9:32 pm    Post subject: Reply with quote

geps2 wrote:
*

:)
ecco. se avessi letto il topic che avevo postato, ti saresti fatto un backup dei pacchetti precedenti prima di cominciare l'upgrade...
comunque, niente paura. la tua idea, di rimpiazzare libblkid.so.1 in qualche posto è corretta, ma ovviamente devi usare la libreria vera, non un file qualunque. nel mio sistema, le cose stanno così:
Code:

cloc3@s939 ~ $ su -
Password:
s939 ~ # ldd /bin/mount
   linux-vdso.so.1 =>  (0x00007fff3a7fe000)
   libblkid.so.1 => /lib/libblkid.so.1 (0x00007fdb32325000)
   libc.so.6 => /lib/libc.so.6 (0x00007fdb31fdd000)
   libuuid.so.1 => /lib/libuuid.so.1 (0x00007fdb31dd8000)
   /lib64/ld-linux-x86-64.so.2 (0x00007fdb32531000)
s939 ~ # qfile libblkid.so.1
app-emulation/emul-linux-x86-baselibs (/lib32/libblkid.so.1)
sys-libs/e2fsprogs-libs (/lib64/libblkid.so.1)

ovviamente tu non posisedi ancora il pacchetto sys-libs/e2fsprogs-libs, ma può essere che tu abbia in /usr/portage/packages uno di questi:
sys-libs/com_err
sys-libs/ss
e2fsprogs - versione vecchia :idea:
reinstallando con emerge -K quello dei due che contiene la libreria richiesta, dovresti riprendere il sistema.
magari lavora in chroot partendo da un cdrom o da una chiavetta autonoma.

se non possiedi i pacchetti pronti utilizza la libreria del cdrom. questo modo è leggeremente più sporco, perché la presenza dei file non sarà registrata nei database di sistema, ma non è proprio il caso di fare queste sottigliezze.

p.s. nessuna paura. con la calma dovuta, da questi pasticci si esce sempre.
_________________
vu vu vu
gentù
mi piaci tu


Last edited by cloc3 on Thu Oct 30, 2008 11:32 pm; edited 1 time in total
Back to top
View user's profile Send private message
silvius
Guru
Guru


Joined: 16 May 2006
Posts: 364

PostPosted: Thu Oct 30, 2008 11:00 pm    Post subject: Reply with quote

Anch' io ho eliminato le lib necessarie per il mount infatti:


Code:
(chroot) ldd /bin/mount
        linux-gate.so.1 =>  (0xffffe000)
        libblkid.so.1 => not found
        libuuid.so.1 => not found
        libc.so.6 => /lib/libc.so.6 (0xb7e52000)
        /lib/ld-linux.so.2 (0xb7f9c000)


ho provato con un :

emerge --oneshot sys-libs/ss sys-libs/com_err

ma non va ugualmente, anceh se l' emerge va a buon fine.
Ho provato ad usare l' emerge -K, ma non so quale pacchetti dargli.
Nelle man viene detto che usa i pacchetti linkati dalla variabile $pkgdir.....ma non c'è nulla in quella posizione.

Cosa posso fare ?



Saluto
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Thu Oct 30, 2008 11:15 pm    Post subject: Reply with quote

silvius wrote:

Ho provato ad usare l' emerge -K, ma non so quale pacchetti dargli.

purtroppo non posso risponderti con assoluta sicurezza perché, avendo già fatto l'upgrade, la mia situazione attuale è diversa dalla tua.
ma, guggolando in giro, mi sono fatto l'idea che la tua libreria appartenga al pacchetto e2fsprogs - versione vecchia (anzichè e2fsprogs-libs).
prova ad emergere quello.
oppure taglia la testa al toro prendendo le librerie da un qualunque cdrom.

in fondo, appena avrai completato l'upgrade, quel pacchetto sarà ricompilato in automatico.
e in ogni caso, un revdep-rebuild supplettivo dovrebbe essere sufficiente a verificare la consistenza globale del sistema.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
silvius
Guru
Guru


Joined: 16 May 2006
Posts: 364

PostPosted: Fri Oct 31, 2008 9:23 am    Post subject: Reply with quote

Proverò prendendo lib da un cd....prendo le lib e le inserisco dentro /lib/....
Per emerge -K sai che pacchetti dovrei dargli in pasto ? tanto per capire....perchè nelle man mi dice di prendere i pacchetti in /usr/portage/package....ma non esiste neanche questa cartella.



Saluto
Back to top
View user's profile Send private message
geps2
Apprentice
Apprentice


Joined: 12 Jul 2006
Posts: 267

PostPosted: Fri Oct 31, 2008 9:27 pm    Post subject: Reply with quote

djinnZ wrote:


[OT]
Quote:
[HELP] Dipendenza circolare!
peccato solo... che questo non sia un helpdesk... :evil:

Quote:
dipendenze: e2fsprogs-libs blocca com_err ed ss
ad esempio. Sono stato sinceramente tentato di non rispondere.
[/OT]


Grazie per i suggerimenti.
[OT] Forse non ho cercato abbastanza...[/OT]
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Sat Nov 01, 2008 12:34 pm    Post subject: Reply with quote

te lo chiedo gentilmente (si fa per dire :twisted: ): CAMBIA IL TITOLO IN QUALCOSA DI COMPRENSIBILE!
[OT]ma i moderatori stanno ancora a smaltire i postumi (della sbronza) del sabba di ieri sera? :lol: O sono tutti alle prese con pannolini e pappine? :lol: [/OT]

@bandreabis: alle volte ( quasi sempre :twisted: ) faccio estrema fatica a comprendere quello che scrivi. Il problema è tutt'altro che risolto e, qualora volesse essere un improbabile tentativo di fare dell'umorismo... non lo capisco, sarà l'artereosclerosi, ma non lo capisco.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2410
Location: イタリアのロディで

PostPosted: Sat Nov 01, 2008 1:45 pm    Post subject: Reply with quote

djinnZ wrote:
@bandreabis: alle volte ( quasi sempre :twisted: ) faccio estrema fatica a comprendere quello che scrivi. Il problema è tutt'altro che risolto e, qualora volesse essere un improbabile tentativo di fare dell'umorismo... non lo capisco, sarà l'artereosclerosi, ma non lo capisco.


Esagerato. A me pare di scrivere in italiano ( quasi sempre :twisted: ).
In ogni caso pare che il problema fosse dovuto al pacchetto mit-krb5 che bloccava tutto in base di sue dipendente non perfette.
Aggiornato quel file ad una versione mascherata il blocco spariva.
Ora (beh, quando avevo scritto il messaggio sotto riportato) hanno smascherato e messo stabile una versione che non da più i problemi della versione rimpiscatole.
Spiero di essermi spiegato in modo sufficiente.

bandreabis wrote:
il problema nasceva da mit-krb5.
Ora hanno messo a posto (credo, perchè ieri ho dovuto aggiornare questo pacchetto) con una nuova versione stabile.


PS: volevi scrivere arteriosclerosi?
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Sat Nov 01, 2008 2:10 pm    Post subject: Reply with quote

da quello che ho capito invece per causa dei problemi di dipendenza di mit-krb5 non sono state riviste le dipendenze in modo tale da poter accettare il passaggio ad ext2libs o come diavolo si chiama.
Nel frattempo mit-krb5 è stato considerato a posto mentre non lo era
Nfs-utils, base-utils, mc e non ricordo quanti altri pacchetti continuano ad avere problemi di dipendenza perchè chiedono com_err ed ss che sono stati assorbiti da ext2libs.
Da quel che ho letto sui forum questi pacchetti non hanno problemi ad essere compilati ed eseguiti con il nuovo assetto delle librerie ma gli ebuild continuano a richiedere com_err ed ss (per questo la soluzione di usare package.provided). Nel dubbio, se devi lavorarci, è meglio non aggiornare per niente.

La questione è tutt'altro che risolta, quel che non capisco è perchè i devel non hanno semplicemente riportato indietro l'abero di portage
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
silvius
Guru
Guru


Joined: 16 May 2006
Posts: 364

PostPosted: Sat Nov 01, 2008 9:47 pm    Post subject: Reply with quote

silvius wrote:
Proverò prendendo lib da un cd....prendo le lib e le inserisco dentro /lib/....
Per emerge -K sai che pacchetti dovrei dargli in pasto ? tanto per capire....perchè nelle man mi dice di prendere i pacchetti in /usr/portage/package....ma non esiste neanche questa cartella.



Saluto



Con le lib sono a posto, ma al boot si blocca perchè non trova il comando fsck......vorrei entrare in chroot ed emergere il paccheto che contiene il fsck.....qual'è il pacchetto ?


Saluto
Back to top
View user's profile Send private message
silvius
Guru
Guru


Joined: 16 May 2006
Posts: 364

PostPosted: Sat Nov 01, 2008 10:11 pm    Post subject: Reply with quote

qualche pacchetto oltre e2fsprogs.....

In chroot non mi funzionano i package.mask e unmask.....perchè ?


Saluto
Back to top
View user's profile Send private message
silvius
Guru
Guru


Joined: 16 May 2006
Posts: 364

PostPosted: Sun Nov 02, 2008 1:19 am    Post subject: Reply with quote

OK....ci sono la mia gentoo è su !!!!!
Grazie dei consigli

Saluto
Back to top
View user's profile Send private message
lucapost
Veteran
Veteran


Joined: 24 Nov 2005
Posts: 1415
Location: <ud|me|ts> - Italy

PostPosted: Sun Nov 02, 2008 8:22 am    Post subject: Reply with quote

Caspita che polverone che è stato sollevato.
Resta il fatto che, anche se non consigliato, io ho risolto come ho indicato nella seconda risposta del thread, e non riscontro alcun problema.
Sarà stata solo fortuna....
_________________
LP
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page 1, 2, 3  Next
Page 1 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum